<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasParkingEventMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasParkingEvent">
        <id column="event_id" property="eventId"/>
        <result column="device_id" property="deviceId"/>
        <result column="channel" property="channel"/>
        <result column="trigger_time" property="triggerTime"/>
        <result column="event_code" property="eventCode"/>
        <result column="note" property="note"/>
        <result column="plate_pic_id" property="platePicId"/>
        <result column="event_pic_id" property="eventPicId"/>
        <result column="gis_id" property="gisId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="event_system" property="eventSystem"/>
        <result column="entrance_code" property="entranceCode"/>
        <result column="plate_no" property="plateNo"/>
        <result column="plate_type" property="plateType"/>
        <result column="plate_color" property="plateColor"/>
        <result column="car_type" property="carType"/>
        <result column="access_type" property="accessType"/>
        <result column="car_type_code" property="carTypeCode"/>
        <result column="similarity" property="similarity"/>
    </resultMap>

</mapper>

